Bug 367341 - Review Request: rubyripper - Open-source secure ripper for Linux
Review Request: rubyripper - Open-source secure ripper for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 14:37 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 15:52:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-11-05 14:37:31 EST
Spec URL: http://sindrepb.fedorapeople.org/packages/rubyripper.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/rubyripper-0.4.2-1.fc8.src.rpm

Description:

Rubyripper is a digital audio extraction algorithm that uses cdparanoia in a sophisticated way to make sure that a CD rip is done successfully and accurately. It is very similar to and inspired by EAC. Rubyripper is written in the ruby programming language.
Comment 1 Mamoru TASAKA 2007-11-06 06:14:50 EST
Some random comments for 0.4.2-1:

* rpmlint
  - Please check your srpm/binary rpms by rpmlint before submitting
    to Review request.
------------------------------------------------------------
E: description-line-too-long Rubyripper is a digital audio extraction algorithm
that uses cdparanoia in a sophisticated
E: description-line-too-long way to make sure that a CD rip is done successfully
and accurately. It is very similar to
W: non-standard-group Application/Multimedia
W: invalid-license GPL
------------------------------------------------------------
   You can see what these rpmlint complaint means by
   "rpmlint -I description-line-too-long", for example.

   - For license, please refer to 
     http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
     http://fedoraproject.org/wiki/Licensing

* Ruby packaging issue:
  For general ruby packaging issues, please refer to:
  http://fedoraproject.org/wiki/Packaging/Ruby .

  - Ruby lib dependy
    - This package should have "Requires: ruby(abi) = 1.8'.

  - Ruby module dependency
    - For ruby module dependency, please specify them by module names,
      not by rpm names like perl. For example: "Requires: ruby(gtk2)"

  - Ruby dependency
    Note: ruby-gtk2 itself requires ruby-libs, but does not require ruby.

* koji build
  - koji build failed. At least desktop-file-utils is missing for BR.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=227431
Comment 2 Sindre Pedersen Bjørdal 2007-11-06 10:36:32 EST
- Add missing BRs
- Use modules, not package names in ruby Requires
- Update License tag
- Fix description
- Add ruby BR to make sure getting ruby_sitelib works

Spec URL: http://sindrepb.fedorapeople.org/packages/rubyripper.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/rubyripper-0.4.2-2.fc8.src.rpm
Comment 3 Mamoru TASAKA 2007-11-07 05:00:04 EST
For 0.4.2-2:

* License
  - The license of this package is actually GPLv3+.

* ruby dependency
  - Well, what I meant is that ruby(abi), ruby(gtk2) both
    require ruby-libs, but do not require ruby.
    So Requires also should have: "Requires: ruby".

! ruby(abi) BuildRequires dependency
  - For consistency with "Requires: ruby(abi) = 1.8", I
    recommend to also add "BuildRequires: ruby(abi) = 1.8".
Comment 4 Sindre Pedersen Bjørdal 2007-11-07 07:18:13 EST
Updated:

- Add Requires: ruby
- Fix License tag
- Update ruby BR for consistency

Spec URL: http://sindrepb.fedorapeople.org/packages/rubyripper.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/rubyripper-0.4.2-3.fc8.src.rpm
Comment 5 Mamoru TASAKA 2007-11-08 09:10:59 EST
Okay.

-------------------------------------------------------------
   This package (rubyripper) is APPROVED by me
-------------------------------------------------------------
Comment 6 Sindre Pedersen Bjørdal 2007-11-09 20:49:24 EST
0.4.3 was just released, with some changes upstream that caused me to make some
changes to my spec. Just to make sure the package is still kosher, could you
have another look?

Changes:
- New release
- Add ruby-gettext, rubygem-rake and gettext dependencies
- Split package into core and gui
- Add translations shebang

Spec URL: http://sindrepb.fedorapeople.org/packages/rubyripper.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/rubyripper-0.4.3-1.fc8.src.rpm
Comment 7 Mamoru TASAKA 2007-11-10 07:35:43 EST
Well, for 0.4.3-1:

* EVR specific dependency between subpackages
  - Usually the dependency between subpackages must be
    EVR specific, i.e. 
    "Requires: %{name} = %{version}-%{release}".

! Duplicate documents
  - Not a blocker, however I don't think "%doc GPL-3.txt README"
    is also needed for -gui package.

* Ruby module dependency
  - rubyripper (binary) rpm requires ruby(gettext-package)
    (not only BuildRequires).
    /usr/lib/ruby/site_ruby/1.8/rr_lib.rb :
---------------------------------------------------------
    21  begin
    22    require 'gettext'
    23  rescue LoadError
    24    puts "RubyGems is not found. Please install ruby-gettext."
    25  end
---------------------------------------------------------
    (Note: rubygem is not needed)
Comment 8 Mamoru TASAKA 2007-11-10 07:40:10 EST
* Permission
  - Also, please check the permissions of installed files.
    Apparently, gettext .mo files and png file have wrong permissions.
Comment 9 Sindre Pedersen Bjørdal 2007-11-10 10:13:39 EST
Updated:

- Add missing ruby-gettext Requires
- Fix EVR specific subpackage Requires
- Fix permissions

Spec URL: http://sindrepb.fedorapeople.org/packages/rubyripper.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/rubyripper-0.4.3-2.fc8.src.rpm
Comment 10 Mamoru TASAKA 2007-11-10 10:38:32 EST
Okay, please go ahead.
Comment 11 Sindre Pedersen Bjørdal 2007-11-10 18:30:26 EST
New Package CVS Request
=======================
Package Name: rubyripper
Short Description: Open-source secure ripper for Linux
Owners: sindrepb
Branches: F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-11-11 12:53:11 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.